package com.blamejared.compat.tconstruct.materials;

import slimeknights.tconstruct.library.materials.Material;

public class TICMaterialDefinition implements ITICMaterialDefinition
{
    private final Material material;
    
    public TICMaterialDefinition(final Material material) {
        this.material = material;
    }
    
    @Override
    public ITICMaterial asMaterial() {
        return new TICMaterial(this.material);
    }
    
    @Override
    public String getName() {
        return this.material.getLocalizedName();
    }
    
    @Override
    public String getDisplayName() {
        return this.material.getLocalizedName();
    }
}
